Method: projects.locations.spaces.generateTerraformPlanAssessmentReport

Generate a Terraform plan assessment report for a given Terraform plan.

HTTP request

POST https://designcenter.googleapis.com/v1alpha/{name=projects/*/locations/*/spaces/*}:generateTerraformPlanAssessmentReport

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The parent resource in which to generate the assessment report. Format: projects/$project/locations/$location/spaces/$space

Request body

The request body contains data with the following structure:

JSON representation
{
  "terraformPlan": string,
  "additionalFrameworks": [
    string
  ]
}
Fields
terraformPlan

string (bytes format)

Required. The raw JSON representation of the generated Terraform plan, provided as bytes.

A base64-encoded string.

additionalFrameworks[]

string

Optional. Additional frameworks to run assessment against. If empty, run against default frameworks. Frameworks refers to the policies.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.